package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.CheckJobDTO;
import com.diagbot.dto.CheckUserDTO;
import com.diagbot.dto.CheckWorkDTO;
import com.diagbot.dto.CheckedRecordListDTO;
import com.diagbot.dto.DeptCheckUserDTO;
import com.diagbot.entity.MedCheckInfo;
import com.diagbot.vo.CheckJobPageVO;
import com.diagbot.vo.CheckJobVO;
import com.diagbot.vo.CheckUserVO;
import com.diagbot.vo.CheckWorkPageVO;
import com.diagbot.vo.CheckedRecordListVO;

import java.util.List;

/**
 * <p>
 * 核查表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2020-07-06
 */
public interface MedCheckInfoMapper extends BaseMapper<MedCheckInfo> {
    //获取未分配的核查任务
    IPage<CheckJobDTO> getCheckList(CheckJobPageVO checkJobVO);
    //临床科室核查人员通过id获取核查人员的核查任务数
    List<DeptCheckUserDTO> getDeptJobNumByUserId(CheckUserVO checkUserVO);
    //核查任务列表
    IPage<CheckWorkDTO> getCheckWorkPage(CheckWorkPageVO checkWorkPageVO);
    //获取指定核查人员的核查任务
    IPage<CheckJobDTO> getCheckListByUserId(CheckJobPageVO checkJobVO);
    //取消核查任务
    int deleteBatchCodes(List<String> list);

    IPage<CheckedRecordListDTO> checkedRecordList(CheckedRecordListVO checkedRecordListVO);
    //获取核查人员用户科室、姓名、角色
    List<CheckUserDTO> getCheckUser(CheckUserVO checkUserVOS);
}
